#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define _cmake_skip_rpath %nil
%define rel 3

%global flatpak_version 1.10.1

Name:           discover
Version: 5.20.4
%define 	subrel 3
Release:        %mkrel %rel
Summary:        KDE and Plasma resources management GUI
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://kde.org
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
Patch0:         discover-5.20.3-fix-desktop-file.patch

#
# Security patches
# P100 -> ...
#
# CVE-2021-28117
Patch100:	94478827aab63d2e2321f0ca9ec5553718798e60.patch
#Patch101:	6257e21c313e21afd80d101d24c78d66621236b1.patch

# Qt5 BuildRequires
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Quick)

#KDE Framework BuildRequires
BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5Attica)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5ItemModels)

BuildRequires:  cmake(KUserFeedback)

#PackageKit backend BuildRequires
BuildRequires:  cmake(packagekitqt5)
BuildRequires:  cmake(AppStreamQt) >= 0.11.2

#Flatpak backend BuildRequires
BuildRequires:  pkgconfig(flatpak) >= %{flatpak_version}
BuildRequires:  pkgconfig(fwupd)
BuildRequires:  pkgconfig(libmarkdown)

BuildRequires:  git-core

Requires:       flatpak >= %{flatpak_version}
Requires:       fwupd
Requires:       kdeclarative
Requires:       kirigami
Requires:       kuserfeedback

#Add secondary provides name for sanity
Provides: plasma-%{name} = %{version}-%{release}
Provides: plasma-%{name}%{?_isa} = %{version}-%{release}

%description
KDE and Plasma resources management GUI.

%files -f discover.lang
%_kf5_sysconfdir/xdg/autostart/org.kde.discover.notifier.desktop
%_kf5_categoriesdir/discover.categories
%_libexecdir/DiscoverNotifier
%_kf5_libexecdir/discover/runservice
%_kf5_bindir/plasma-discover
%_kf5_bindir/plasma-discover-update
%_kf5_libdir/plasma-discover/libDiscoverCommon.so
%_kf5_libdir/plasma-discover/libDiscoverNotifiers.so
%_qt5_plugindir/discover
%_qt5_plugindir/discover-notifier
%_kf5_applicationdir/org.kde.discover.desktop
%_kf5_applicationdir/org.kde.discover.urlhandler.desktop
%_kf5_applicationdir/org.kde.discover-flatpak.desktop
%_kf5_applicationdir/org.kde.discover.snap.urlhandler.desktop
%_kf5_applicationdir/org.kde.discover.notifier.desktop
%_kf5_metainfodir/org.kde.discover.appdata.xml
%_kf5_metainfodir/org.kde.discover.packagekit.appdata.xml
%_kf5_metainfodir/org.kde.discover.flatpak.appdata.xml
%_kf5_iconsdir/hicolor/*/*/*
%_kf5_datadir/discover/pkcategories
%_kf5_knotificationsdir/discoverabstractnotifier.notifyrc
%_kf5_datadir/knsrcfiles/discover_ktexteditor_codesnippets_core.knsrc
%_kf5_datadir/kxmlgui5/plasmadiscover/plasmadiscoverui.rc
%_kf5_datadir/libdiscover/categories/packagekit-backend-categories.xml
%_kf5_datadir/libdiscover/categories/flatpak-backend-categories.xml

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Mon Apr 04 2022 neoclust <neoclust> 5.20.4-3.3.mga8
+ Revision: 1843903
- Rebuild against new flatpak
- Add P100: Fixes CVE-2021-28117

* Fri Feb 12 2021 daviddavid <daviddavid> 5.20.4-3.mga8
+ Revision: 1675225
- add minimal dependency on kdeclarative to make it work with lxqt

* Tue Jan 26 2021 neoclust <neoclust> 5.20.4-2.mga8
+ Revision: 1673522
- Rebuild against new flatpak

* Mon Dec 07 2020 daviddavid <daviddavid> 5.20.4-1.mga8
+ Revision: 1654178
- New version 5.20.4

* Sat Nov 14 2020 daviddavid <daviddavid> 5.20.3-1.mga8
+ Revision: 1645965
- New version 5.20.3

* Wed Oct 28 2020 daviddavid <daviddavid> 5.20.2-1.mga8
+ Revision: 1639966
- New version 5.20.2

* Wed Oct 21 2020 daviddavid <daviddavid> 5.20.1-1.mga8
+ Revision: 1637723
- New version 5.20.1

* Wed Oct 14 2020 daviddavid <daviddavid> 5.20.0-1.mga8
+ Revision: 1635619
- New version 5.20.0

* Wed Sep 02 2020 daviddavid <daviddavid> 5.19.5-1.mga8
+ Revision: 1620953
- New version 5.19.5

* Tue Aug 18 2020 ovitters <ovitters> 5.19.4-2.mga8
+ Revision: 1614789
- rebuild for flatpak and full approval by Nicolas Lécureuil

* Wed Jul 29 2020 daviddavid <daviddavid> 5.19.4-1.mga8
+ Revision: 1609590
- New version 5.19.4

* Wed Jul 08 2020 neoclust <neoclust> 5.19.3-1.mga8
+ Revision: 1602989
- New version 5.19.3

* Tue Jun 23 2020 daviddavid <daviddavid> 5.19.2-1.mga8
+ Revision: 1598704
- New version 5.19.2

* Thu Jun 18 2020 daviddavid <daviddavid> 5.19.1-1.mga8
+ Revision: 1596012
- New version 5.19.1
+ neoclust <neoclust>
- New version 5.18.90

* Wed May 06 2020 daviddavid <daviddavid> 5.18.5-1.mga8
+ Revision: 1580738
- New version 5.18.5
- New version 5.18.4.1

* Tue Mar 17 2020 daviddavid <daviddavid> 5.18.3-1.mga8
+ Revision: 1557138
- New version 5.18.3

* Tue Feb 25 2020 daviddavid <daviddavid> 5.18.2-1.mga8
+ Revision: 1550364
- New version 5.18.2

* Fri Feb 21 2020 daviddavid <daviddavid> 5.18.1-1.mga8
+ Revision: 1548218
- New version 5.18.1

* Thu Feb 20 2020 umeabot <umeabot> 5.18.0-2.mga8
+ Revision: 1547235
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 5.18.0-1.mga8
+ Revision: 1496219
- New version 5.18.0

* Fri Feb 07 2020 daviddavid <daviddavid> 5.17.90-2.mga8
+ Revision: 1487725
- enable KUserFeedback support

* Thu Feb 06 2020 neoclust <neoclust> 5.17.90-1.mga8
+ Revision: 1487389
- New version 5.17.90
+ wally <wally>
- build with new cmake macros

* Wed Dec 04 2019 daviddavid <daviddavid> 5.17.4-1.mga8
+ Revision: 1464286
- New version 5.17.4

* Fri Nov 15 2019 daviddavid <daviddavid> 5.17.3-1.mga8
+ Revision: 1460044
- New version 5.17.3

* Wed Oct 30 2019 daviddavid <daviddavid> 5.17.2-1.mga8
+ Revision: 1456755
- New version 5.17.2

* Wed Oct 23 2019 daviddavid <daviddavid> 5.17.1-1.mga8
+ Revision: 1455320
- New version 5.17.1

* Mon Oct 14 2019 neoclust <neoclust> 5.17.0-1.mga8
+ Revision: 1453152
- New version 5.17.0

* Mon Sep 30 2019 neoclust <neoclust> 5.16.90-1.mga8
+ Revision: 1448213
- New version 5.16.90

* Wed Sep 04 2019 neoclust <neoclust> 5.16.5-1.mga8
+ Revision: 1437036
- New version 5.16.5

* Wed Jul 31 2019 neoclust <neoclust> 5.16.4-1.mga8
+ Revision: 1426304
- New version 5.16.4

* Thu Jul 25 2019 neoclust <neoclust> 5.16.3-1.mga8
+ Revision: 1424002
- New version 5.16.3

* Sun Jun 16 2019 ngompa <ngompa> 5.15.4-2.mga7
+ Revision: 1400099
- Rebuild with updated flatpak

* Mon Apr 08 2019 neoclust <neoclust> 5.15.4-1.mga7
+ Revision: 1386836
- New version 5.15.4

* Sat Mar 30 2019 umeabot <umeabot> 5.15.3-3.mga7
+ Revision: 1381536
- Qt5 Rebuild

* Tue Mar 19 2019 daviddavid <daviddavid> 5.15.3-2.mga7
+ Revision: 1378843
- add missing dependency on fwupd (mga#24526)

* Tue Mar 12 2019 neoclust <neoclust> 5.15.3-1.mga7
+ Revision: 1374913
- New version 5.15.3

* Fri Mar 01 2019 neoclust <neoclust> 5.15.2-1.mga7
+ Revision: 1370713
- New version 5.15.2

* Tue Feb 19 2019 neoclust <neoclust> 5.15.1-1.mga7
+ Revision: 1368582
- New version 5.15.1

* Sun Feb 17 2019 daviddavid <daviddavid> 5.15.0-2.mga7
+ Revision: 1367844
- enable fwupd and libmarkdown support

* Fri Feb 15 2019 neoclust <neoclust> 5.15.0-1.mga7
+ Revision: 1367217
- New version 5.15.0

* Mon Jan 14 2019 neoclust <neoclust> 5.14.5-1.mga7
+ Revision: 1356166
- New version 5.14.5

* Sun Dec 09 2018 neoclust <neoclust> 5.14.4-1.mga7
+ Revision: 1339303
- New version 5.14.4

* Fri Oct 26 2018 neoclust <neoclust> 5.14.2-1.mga7
+ Revision: 1325597
- New version 5.14.2

* Sun Sep 23 2018 umeabot <umeabot> 5.13.4-2.mga7
+ Revision: 1297453
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 neoclust <neoclust> 5.13.4-1.mga7
+ Revision: 1252395
- New version 5.13.4

* Sat Mar 24 2018 daviddavid <daviddavid> 5.12.2-3.mga7
+ Revision: 1211994
- rebuild for new packagekit-qt 1.0.1
+ kekepower <kekepower>
- Rebuild for new packagekit-qt

* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1204433
- New version 5.12.2

* Wed Feb 14 2018 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1200978
- New version 5.12.1

* Mon Feb 12 2018 ngompa <ngompa> 5.11.95-3.mga7
+ Revision: 1200609
- No-change rebuild to make buildsystem take the build
- Fix the AppStreamQt BR
- Add missing BR for Flatpak backend

* Sat Jan 20 2018 neoclust <neoclust> 5.11.95-1.mga7
+ Revision: 1195239
- New version 5.11.95

* Wed Dec 27 2017 neoclust <neoclust> 5.11.4-1.mga7
+ Revision: 1185673
- New version 5.11.4

* Sat Oct 28 2017 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1174367
- New version 5.11.2

* Fri Oct 20 2017 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1172853
- New version 5.11.1

* Sun Oct 15 2017 cjw <cjw> 5.10.95-1.mga7
+ Revision: 1172228
- fix find_lang call
- fix target file name of desktop file patch
- update file list
+ neoclust <neoclust>
- New version 5.10.95
- New version 5.10.5

* Tue Jul 25 2017 daviddavid <daviddavid> 5.10.4-2.mga7
+ Revision: 1130759
- rebuild against kirigami2

* Mon Jul 24 2017 neoclust <neoclust> 5.10.4-1.mga7
+ Revision: 1130188
- New version 5.10.4
- New version 5.10.3

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1105054
- New version 5.8.7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089015
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078217
- New version 5.8.5

* Thu Dec 15 2016 daviddavid <daviddavid> 5.8.4-3.mga6
+ Revision: 1075328
- fix file list

* Wed Nov 30 2016 neoclust <neoclust> 5.8.4-2.mga6
+ Revision: 1071295
- Rebuild against new appstream

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070707
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065077
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064467
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063038
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060263
- New version 5.8.1

* Sat Oct 01 2016 daviddavid <daviddavid> 5.8.0-2.mga6
+ Revision: 1057995
- add missing requires on kirigami (mga#19500)

* Fri Sep 30 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057816
- New version 5.8.0

* Fri Sep 16 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053424
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052672
- New version 5.7.5

* Thu Aug 25 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048736
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044258
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-5.mga6
+ Revision: 1042546
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-5.mga6
+ Revision: 1041383
- New version 5.7.1

* Sat Jul 09 2016 neoclust <neoclust> 5.7.0-5.mga6
+ Revision: 1039959
- Fix RPATH

* Sat Jul 09 2016 ngompa <ngompa> 5.7.0-4.mga6
+ Revision: 1039929
- Fix path for discover libraries

* Fri Jul 08 2016 ngompa <ngompa> 5.7.0-3.mga6
+ Revision: 1039807
- Add Appstream BR for building PK backend

* Fri Jul 08 2016 tmb <tmb> 5.7.0-2.mga6
+ Revision: 1039760
- fix broken .desktop file
+ neoclust <neoclust>
- New version 5.7.0

* Tue Jul 05 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1038962
- imported package discover

